## org.apache.mahout.ga.watchmaker.cd.tool
Class DescriptionUtils

    java.lang.Object
      org.apache.mahout.ga.watchmaker.cd.tool.DescriptionUtils

    public final class DescriptionUtils

extends Object

Utility functions to handle Attribute's description strings.

Method Summary
`static String` `createNominalDescription(Collection<String> values)` Create a nominal description from the possible values.
`static String` `createNumericalDescription(double min, double max)` Create a numerical attribute description.
`static void` `extractNominalValues(String description, Collection<String> target)` Extract all available values from the description.
`static double[]` `extractNumericalRange(String description)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createNumericalDescription

    public static String createNumericalDescription(double min,
                                                    double max)

  Create a numerical attribute description.

  Parameters:
    `min` -
    `max` -

### createNominalDescription

    public static String createNominalDescription(Collection<String> values)

  Create a nominal description from the possible values.

  Parameters:
    `values` -

### extractNumericalRange

    public static double[] extractNumericalRange(String description)

### extractNominalValues

    public static void extractNominalValues(String description,
                                            Collection<String> target)

  Extract all available values from the description.

  Parameters:
    `description` -
    `target` - the extracted values will be added to this collection. It will not be cleared.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.